import { BasicColumn, FormSchema } from '@/components/Table';

export const detailColumn: BasicColumn[] = [
  {
    title: '参数code',
    dataIndex: 'code',
    width: 60,
  },
  {
    title: '参数位置',
    dataIndex: 'location',
    width: 60,
  },
  {
    title: 'Xpath',
    dataIndex: 'xPath',
    width: 60,
  },
  {
    title: '参数类型',
    dataIndex: 'type',
    width: 60,
  },
  {
    title: '注释',
    dataIndex: 'remark',
    width: 60,
  },
  {
    title: '是否必填',
    dataIndex: 'required',
    width: 60,
  },
  {
    title: '默认值',
    dataIndex: 'default',
    width: 60,
  },
  {
    title: '示例值',
    dataIndex: 'example',
    width: 60,
  },
];
export const addApiModelFormSchema: FormSchema[] = [
  {
    label: '申请标题',
    field: 'title',
    required: true,
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    label: '申请理由',
    field: 'txt',
    required: true,
    component: 'InputTextArea',
    componentProps: {
      rows: 5,
    },
    colProps: { lg: 24, md: 24 },
  },
  {
    label: 'API名称',
    field: 'name',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
  {
    label: '调用有效期',
    field: 'title',
    component: 'DatePicker',
    colProps: { lg: 24, md: 24 },
  },
];
